package com.sun.org.apache.xalan.internal.extensions;

import com.sun.org.apache.xpath.internal.XPathContext;
import javax.xml.transform.TransformerException;
import com.sun.org.apache.xpath.internal.objects.XObject;
import com.sun.org.apache.xml.internal.utils.QName;
import javax.xml.transform.ErrorListener;
import org.w3c.dom.traversal.NodeIterator;
import org.w3c.dom.Node;

public interface ExpressionContext
{
    public abstract Node getContextNode();
    
    public abstract NodeIterator getContextNodes();
    
    public abstract ErrorListener getErrorListener();
    
    public abstract double toNumber(Node p0);
    
    public abstract String toString(Node p0);
    
    public abstract XObject getVariableOrParam(QName p0) throws TransformerException;
    
    public abstract XPathContext getXPathContext() throws TransformerException;
}
